import javax.microedition.lcdui.*;

public class GlobalScreen extends Form {
    TextField name, user;
    ChoiceGroup f, colors, syncmode;
    Gauge buf;
    
    public GlobalScreen() {
        super("Global options");
        name=new TextField("Real Name","",64,TextField.ANY);
        user=new TextField("Username","",16,TextField.ANY);
  
        f=new ChoiceGroup("Font size",ChoiceGroup.EXCLUSIVE);
		f.append("Small",null);
		f.append("Medium",null);
		f.append("Large",null);
//		f.setSelectedIndex(font,true);
        
        colors=new ChoiceGroup("Color scheme", ChoiceGroup.EXCLUSIVE);
        colors.append("Black on white",null);
        colors.append("White on black",null);
        colors.append("Grayscale optimized",null);
//        colors.setSelectedIndex(color,true);

        buf=new Gauge("Pages of backbuffer", true, 32, 8);
 
        syncmode=new ChoiceGroup("I/O mode",ChoiceGroup.EXCLUSIVE);
        syncmode.append("Singles",null);
        syncmode.append("Poll",null);
        syncmode.append("Plain",null);
        syncmode.append("Hybrid",null);
//        syncmode.setSelectedIndex(sync,true);
  
        append(name);
        append(user);
        append(f);
        append(colors);
        append(buf);
        append(syncmode);
    }
    void set(String real, String user, int font, int color, int buffer, int sync) {
        name.setString(real);
        this.user.setString(user);
        f.setSelectedIndex(font, true);
        colors.setSelectedIndex(color, true);
        buf.setValue(buffer);
        syncmode.setSelectedIndex(sync, true);
    }
    
}

